"""addons/source-python/_libs/core/logging.py"""

# =============================================================================
# >> IMPORTS
# =============================================================================

from logging import *

# =============================================================================
# >> GLOBALS
# =============================================================================

# Default level
DEFAULT = INFO

# =============================================================================
# >> INITIAL SETUP FOR LOGGING
# =============================================================================

def _SetupLogging():
	"""Setting up the logging"""
	# Returns the root logger
	l = getLogger()
	l.name = 'sp'
	# info is the default level
	l.setLevel(DEFAULT)
	# By default, we just add a stream handler that prints to console:
	h = StreamHandler()
	h.setFormatter(Formatter("[%(name)s] %(message)s"))
	h.setLevel(DEFAULT)
	l.addHandler(h)

# =============================================================================
# >> INITIAL SETUP FOR LOGGING
# =============================================================================

_SetupLogging()